Debian Bug report logs - #719621
debian-reference: /etc/hosts description too old.

version graph

Package: debian-reference; Maintainer for debian-reference is Osamu Aoki <osamu@debian.org>; Source for debian-reference is src:debian-reference.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Tue, 13 Aug 2013 16:51:08 UTC

Severity: normal

Found in version debian-reference/2.50

Fixed in version debian-reference/2.51

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#719621; Package debian-reference. (Tue, 13 Aug 2013 16:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. (Tue, 13 Aug 2013 16:51:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-reference: /etc/hosts description too old.
Date: Wed, 14 Aug 2013 01:50:03 +0900
Package: debian-reference
Version: 2.50
Severity: normal

On debian-devel ML:

Date: Mon, 5 Aug 2013 13:08:28 -0400
From: Thomas Hood <jdthood@gmail.com>
To: debian-devel@lists.debian.org
Subject: Fwd: /etc/hosts and resolving of the local host/domainname - 127.0.0.1
        vs. 127.0.1.1

Sorry I'm a bit late contributing to this discussion.

Christoph Anton Mitterer wrote:
> The eventual result[1] was that Debian nowadays ships
> /etc/hosts like these per default:
>
> 127.0.0.1 localhost
> 127.0.1.1 <host_name>.<domain_name> <host_name>
>
> As also described in the Debian reference[2].

That's not entirely accurate. Wheezy and Ubuntu Desktop install
an /etc/hosts like the following, without a domain_name.

   127.0.0.1 localhost
   127.0.1.1 <host_name>

The Debian Reference is out of date.

I should update with mDNS description.

... pending in VCS

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (100, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-rt-amd64 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debian-reference depends on:
ii  debian-reference-en  2.50

Versions of packages debian-reference recommends:
ii  debian-reference-fr  2.50
ii  debian-reference-it  2.50
ii  debian-reference-ja  2.50
ii  debian-reference-pt  2.50

debian-reference suggests no packages.

-- no debconf information



Added tag(s) pending. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 13 Aug 2013 17:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#719621; Package debian-reference. (Wed, 14 Aug 2013 04:09:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. (Wed, 14 Aug 2013 04:09:20 GMT) Full text and rfc822 format available.

Message #12 received at 719621@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 719621@bugs.debian.org
Subject: debian-reference: /etc/hosts description too old.
Date: Wed, 14 Aug 2013 13:00:46 +0900
Hi,

There seems to be many open issues discussed around
  http://lists.debian.org/debian-devel/2013/08/msg00095.html
So things may change.

But for now, DR is updated from
> 127.0.0.1 localhost
> 127.0.1.1 <host_name>.<domain_name> <host_name>
to new
>  127.0.0.1 localhost
>  127.0.1.1 <host_name>

Let me document related changes.

  The Debian Installer creates this entry for a system without a
  permanent IP address as a workaround for some software (e.g., GNOME) as
  documented in the bug #316099.
    http://bugs.debian.org/316099

This old text is now changed to point to this bug report.

Hmmmm, bug #316099 stated as:
   127.0.0.1 localhost.localdomain localhost
   127.0.1.1 pengo
So old text was not exactly as referenced.

There are some discussion on how this entry is created.  So it may
change soon.  If anyone sees changes, please report bug to
debian-reference  package using reportbug problem.

Osamu



Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Fri, 20 Dec 2013 11:04:04 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 11:04:04 GMT) Full text and rfc822 format available.

Message #17 received at 719621-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 719621-close@bugs.debian.org
Subject: Bug#719621: fixed in debian-reference 2.51
Date: Fri, 20 Dec 2013 11:00:06 +0000
Source: debian-reference
Source-Version: 2.51

We believe that the bug you reported is fixed in the latest version of
debian-reference, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719621@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debian-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 Dec 2013 21:35:11 +0900
Source: debian-reference
Binary: debian-reference-common debian-reference debian-reference-en debian-reference-de debian-reference-fr debian-reference-it debian-reference-ja debian-reference-pt
Architecture: source all
Version: 2.51
Distribution: unstable
Urgency: low
Maintainer: Osamu Aoki <osamu@debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debian-reference - metapackage to install (all) translations of Debian Reference
 debian-reference-common - Debian system administration guide, common files
 debian-reference-de - Debian system administration guide, German translation
 debian-reference-en - Debian system administration guide, English original
 debian-reference-fr - Debian system administration guide, French translation
 debian-reference-it - Debian system administration guide, Italian translation
 debian-reference-ja - Debian system administration guide, Japanese translation
 debian-reference-pt - Debian system administration guide, Portuguese translation
Closes: 609238 650402 652629 691653 691747 691748 691752 694167 696994 708015 711635 711638 711645 713029 715012 718875 719621 720720 720730 721110 721251 724542 726825 726937 729803 731844 732158 732447
Changes: 
 debian-reference (2.51) unstable; urgency=low
 .
   [ David Prévot ]
   * French translation proofread. Closes: #691747, #691748
 .
   [ Osamu Aoki ]
   * Migration to the new GIT repo.
   * Update for fop since it is now in main.
   * Fix typo s/ifmeric/ifmetric/g.  Closes: #609238
   * Update for GNOME3. Closes: #650402
   * Add few tools such as calibre.  Closes: #691653
   * Update around the locale description.  Closes: #691748, #691752
   * Update Table 2.16. The usable characters.  Closes: #694167
   * Add tip to run newgrp after updating /etc/group.  Closes: #711635
   * Address netwok non-transparency of X using SHM.  Closes: #711638
   * Update for SysV init, systemd, upstart, etc. Closes: #711645
   * Update LVM dropping the old write barrier issue.  Closes: #713029
   * Update s/POSIX shell/POSIX-like shell/ and the zsh behavior.
     Closes: #715012
   * Add note on backup of the pseudo-filesystem.  Closes: #718875
   * Update description on /etc/hosts.  Closes: #719621, #724542
   * Update Makefile to avoid possible race.  Closes: #720720
   * Update apt-get / apt-cache vs. aptitude.  Closes: #721110
   * Update with multi-arch. Closes: #721251
   * Update for dpkg-deb supporting xz compression. Closes: #726825
   * Fix typo for ~/.bash_profile.  Closes: #729803
   * Update contents for Linux version 3.0, xz, ext4, extundelete, ext4magic,
     obnam, git, GRUB2, ttf -> fonts
   * Reorder and reindent contents for init, git, backup, obnam, rdiff-backup
   * Update compat to 9 and policy to 3.9.4.
   * Add keywords to .desktop.
   * Update build script to report number of fuzzy/untranslated translations.
   * Add German translation package.
   * Update translations. (ja, fr, it)  Closes: #708015, #732447
   * Add epub support. Closes: #652629
   * Move files used by /usr/bin/debian-reference from /usr/share/doc to
     /usr/share/debian-reference based on the Debian Policy 12.3.
 .
   [Holger Wansing]
   * Translate to german and update English typos (Ch1-Ch5, Ch9, Ap).
     Closes: #696994, #720730, #726937, #731844, #732158
Checksums-Sha1: 
 3d3f9b03caa7da7810402a4dd511379034af6764 1534 debian-reference_2.51.dsc
 5f83efb30b6fac3cec8136b46dc2244e35d85342 3465145 debian-reference_2.51.tar.gz
 2d22b7d2488b01f226c1503069152cfb68f29d3c 31722 debian-reference-common_2.51_all.deb
 de5552f241fcb51bd7da58e3a6af21f63c6aafde 18412 debian-reference_2.51_all.deb
 e531e1faa009cbd59d60b7eabe4be6bba980734c 870676 debian-reference-en_2.51_all.deb
 b947cc13f6868e2f44ac5ba1a16dc1498da6857a 953606 debian-reference-de_2.51_all.deb
 cbe0cd6d9e4e84da4cf453148729deb30732eea2 1000998 debian-reference-fr_2.51_all.deb
 fe5b70347edd9e51927a35afbbd70b406f4b311a 957756 debian-reference-it_2.51_all.deb
 bcc80a4f0fa9174e6ae38fea7f65daa82ac29550 983652 debian-reference-ja_2.51_all.deb
 852dd3b3668020bcab49a9c96ce89fc237dcf0c9 943290 debian-reference-pt_2.51_all.deb
Checksums-Sha256: 
 55b00612878a33117e0863adf5d4905b9cdf54d18b28bf4dbb7a41cbd64e6243 1534 debian-reference_2.51.dsc
 e4f5b83ea1ecdfe6c01b443d44879980753b900e88cf8c2903e4cf9c1dd493a4 3465145 debian-reference_2.51.tar.gz
 27a34e638790cfcd459d161e7159135b666806ab57d7e982177758ffbca9e7ea 31722 debian-reference-common_2.51_all.deb
 f37b8947b9fa2205a69fbb1af3c05f39f0fe4a50df62c210923ea27e0b7cffda 18412 debian-reference_2.51_all.deb
 55db5f8c68d59851b1b0db57a58b228227511cbad1b78b6a8cd8d3eb59bbb3b0 870676 debian-reference-en_2.51_all.deb
 bb924eb55be1bf8aebe45a5a68ed7be691a8f6cf30e1f42b443feccec0203442 953606 debian-reference-de_2.51_all.deb
 485c86f092f72036f59b6a97dfdb26e24a19e651c3c54337b29fa3dcf8948a89 1000998 debian-reference-fr_2.51_all.deb
 7d5020d76a39dff0dc8d32f4f9492c5ac3f6f27d6c84e41e0bd967ca1bddaa59 957756 debian-reference-it_2.51_all.deb
 f5a0a09527c113dd51a6511ed462e06966827641162ba42bf1ebab58c415b0e5 983652 debian-reference-ja_2.51_all.deb
 5cddc3e6070dfb95b1c0a6bab40b8611a92e7949360d11fd3d0af149b0b21e25 943290 debian-reference-pt_2.51_all.deb
Files: 
 f335a9d9ae79105ead8c1c799596fd6f 1534 doc optional debian-reference_2.51.dsc
 aa3fd84b034e8a24a420a68b8a9ed912 3465145 doc optional debian-reference_2.51.tar.gz
 942bde6b700a90c82a7ea4106c793432 31722 doc optional debian-reference-common_2.51_all.deb
 38464264474fd933f5ddcdc0f35ff7e5 18412 doc optional debian-reference_2.51_all.deb
 19eed28a27f56a5ac31eb4a7f62f348a 870676 doc optional debian-reference-en_2.51_all.deb
 926811fb7e9c0b4b890ee389bc1773d4 953606 doc optional debian-reference-de_2.51_all.deb
 0e312056b8df4ac3c53cc3948daaad98 1000998 doc optional debian-reference-fr_2.51_all.deb
 42488e3d86df4c3935c26ba52e5e4bd1 957756 doc optional debian-reference-it_2.51_all.deb
 a312d3bb1c37e8e9f49f94572fc74168 983652 doc optional debian-reference-ja_2.51_all.deb
 c2e5a4cd5516abd5aaf57b64c449a99c 943290 doc optional debian-reference-pt_2.51_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKy83QACgkQ6A/EwagGHzLjDACfT1hYLfamDRz1bNH3algOlQic
6PAAniibr0PvgC2a70bn898qaJGuYIIv
=9e9v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jan 2014 07:27:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:51:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.